# string-rectangle(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

string-rectangle - Add a string vertically.
space-rectangle - Adds space(s) vertically.

## SYNOPSIS

string-rectangle "string"
n space-rectangle

## DESCRIPTION

string-rectangle inserts the string at the same column position on each line of the current region. The command prompts the user for a string and inserts it at the current cursor column on all the lines between the cursor and the mark inclusive. This is generally used to pre-pend lines with new text.

space-rectangle is the same as string-rectangle except it inserts n spaces, default being 1, rather than a given string. This command is very useful when moving a column of text over to align with another column.

## SEE ALSO

exchange-point-and-mark(2), insert-space(2), kill-rectangle(2), set-mark(2), yank-rectangle(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>